@echo off
echo This program updates the BIOS and board controller for 
echo VersaLogic Skylake-U EPU boards:
echo     VL-EPU-4460
echo     VL-EPU-4462
echo.
echo Note: COMc-44 BIOS PN = IP-1106, version prefix = VER2C

set BIOSFILE=1106R103.BIN
set BCFILE=VLBCP437.DAT

if not exist %BIOSFILE% goto nobios
if not exist %BCFILE% goto nobc

echo.
echo About to update BIOS to %BIOSFILE%
echo About to update Board Controller to %BCFILE%
echo Press a key to continue, or ctrl-c to abort.
pause > nul

echo Updating BIOS...
CGUTLCMD.EXE BFLASH %BIOSFILE% /E
if errorlevel 1 goto biosfail

cls
echo Updating Board Controller...
CGUTLCMD.EXE BCPROG %BCFILE% /B
if errorlevel 1 goto bcfail
goto success

:nobios
echo BIOS file %BIOSFILE% not found. No action taken.
goto end
:nobc
echo Board Controller file %BCFILE% not found. No action taken.
goto end
:biosfail
echo BIOS update failed! Aborting.
goto end
:bcfail
echo Board Controller update failed! BIOS updated.
goto end

:success
echo.
echo BIOS and Board Controller update successful. Reboot or power down now.

:end
